> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integrations



## OpenAPI

````yaml /openapi/integrations.json get /v1/crm/integrations/
openapi: 3.0.3
info:
  title: Yume API — Интеграции
  version: 1.0.0
  description: Подключение и управление внешними сервисами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/integrations/:
    get:
      summary: Get integrations
      operationId: root_list
      parameters:
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - in: query
          name: type
          schema:
            type: string
            title: Тип
            enum:
              - integration
              - module
          description: |-
            Тип интеграции

            * `integration` - Интеграция
            * `module` - Модуль
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Integration'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    Integration:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        code:
          type: string
          title: Код
          description: Код интеграции
          maxLength: 64
        slug:
          type: string
          nullable: true
          maxLength: 255
          pattern: ^[-a-zA-Z0-9_]+$
        name:
          type: string
          title: Название
          description: Название интеграции
          maxLength: 512
        comment:
          type: string
          nullable: true
          maxLength: 512
        slogan:
          type: string
          nullable: true
          title: Слоган
          description: Слоган интеграции
        type:
          allOf:
            - $ref: '#/components/schemas/IntegrationTypeEnum'
          title: Тип
          description: |-
            Тип интеграции

            * `integration` - Интеграция
            * `module` - Модуль
        prices:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationPeriod'
          readOnly: true
        variants:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationVariant'
        detail:
          type: string
          nullable: true
          title: Описание
          description: Описание интеграции
        icon:
          type: string
          format: uri
          nullable: true
          title: Иконка
          description: Иконка интеграции
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
          description: Изображение интеграции
        image_alt:
          type: string
          format: uri
          nullable: true
          title: Альтернативное изображение
          description: Альтернативное изображение интеграции
        disabled:
          type: boolean
          title: Отключено
          description: Отключено интеграцию
        extra:
          $ref: '#/components/schemas/IntegrationExtra'
        demo_duration:
          type: string
          title: Демо период
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagsEnum'
        modules:
          type: array
          items:
            $ref: '#/components/schemas/ModulesEnum'
          title: Модули
          description: Модули интеграции
        visable:
          type: boolean
          title: Видимость
          description: Видимость интеграции для пользователей
      required:
        - code
        - extra
        - id
        - name
        - prices
        - variants
    IntegrationTypeEnum:
      enum:
        - integration
        - module
      type: string
      description: |-
        * `integration` - Интеграция
        * `module` - Модуль
    IntegrationPeriod:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        variant:
          allOf:
            - $ref: '#/components/schemas/IntegrationVariant'
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/IntegrationPeriodTypeEnum'
          title: Тип
          description: |-
            Тип тарифа

            * `period` - period
            * `amount` - amount
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          default: KZT
          title: Валюта
          description: |-
            Валюта тарифа

            * `KZT` - KZT
            * `USD` - USD
            * `RUB` - RUB
            * `EUR` - EUR
            * `UZS` - UZS
            * `KGS` - KGS
            * `AED` - AED
            * `SAR` - SAR
        months:
          allOf:
            - $ref: '#/components/schemas/MonthsEnum'
          default: 1
          title: Количество месяцев
          description: |-
            Длительность тарифа в месяцах

            * `1` - 1 месяц
            * `3` - 3 месяца
            * `6` - 6 месяцев
            * `12` - 12 месяцев
          minimum: -32768
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена
          description: Цена тарифа
        amount:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Количество
          description: Количество
        integration:
          type: integer
          title: Интеграция
          description: Интеграция
        tenant:
          type: integer
          nullable: true
          title: Компания
          description: Компания
      required:
        - id
        - integration
        - type
        - variant
    IntegrationVariant:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        code:
          type: string
          nullable: true
          maxLength: 255
        limits:
          type: array
          items:
            type: string
            maxLength: 255
      required:
        - id
        - name
    IntegrationExtra:
      type: object
      properties:
        fields:
          type: array
          items:
            type: string
        specs:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationSpecs'
        is_yume_cloud:
          type: boolean
          default: false
        link:
          type: string
        manual:
          type: boolean
          default: true
    TagsEnum:
      enum:
        - free
        - promo
        - popular
        - recommend
      type: string
      description: |-
        * `free` - Бесплатно
        * `promo` - Акция
        * `popular` - Популярное
        * `recommend` - Рекомендуем
    ModulesEnum:
      enum:
        - finance
        - sales
        - marketing
        - other
        - hr
      type: string
      description: |-
        * `finance` - Финансы
        * `sales` - Продажи
        * `marketing` - Маркетинг
        * `other` - Другое
        * `hr` - HR
    IntegrationPeriodTypeEnum:
      enum:
        - period
        - amount
      type: string
      description: |-
        * `period` - period
        * `amount` - amount
    CurrencyEnum:
      enum:
        - KZT
        - USD
        - RUB
        - EUR
        - UZS
        - KGS
        - AED
        - SAR
      type: string
      description: |-
        * `KZT` - KZT
        * `USD` - USD
        * `RUB` - RUB
        * `EUR` - EUR
        * `UZS` - UZS
        * `KGS` - KGS
        * `AED` - AED
        * `SAR` - SAR
    MonthsEnum:
      enum:
        - 1
        - 3
        - 6
        - 12
      type: integer
      description: |-
        * `1` - 1 месяц
        * `3` - 3 месяца
        * `6` - 6 месяцев
        * `12` - 12 месяцев
    IntegrationSpecs:
      type: object
      properties:
        name:
          type: string
        label:
          type: string
        params: {}
      required:
        - label
        - name
        - params
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````